<template>
  <div class="as-carousel">
    <Carousel :items-to-show="1.1" ref="refCarousel">
      <Slide v-for="card in cards" :key="card" :data-id="card.id">
        <div class="carousel__item">
          <CardItem
            :id="card.id"
            :cardName="card.cardName"
            :cardNumber="card.cardNumber"
            :expire="card.expire"
            :cvv="card.cvv"
            :backgroundColor="card.backgroundColor"
          />
        </div>
      </Slide>
      <template #addons>
        <Pagination />
      </template>
    </Carousel>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';
import { Carousel, Pagination, Slide } from 'vue3-carousel';
import 'vue3-carousel/dist/carousel.css';
import CardItem from './CardItem';

export default {
  name: 'AsCarousel',
  components: { Carousel, Pagination, Slide, CardItem },
  computed: {
    ...mapGetters('card', ['cards']),
  },
};
</script>

<style lang="scss">
.carousel {
  &__item {
    width: 100%;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
  }
  &__slide {
    padding: 10px;
    &--active {
      display: flex;
      flex-direction: column;
      .carousel__item {
        flex: 1;
      }
    }
  }
  &__pagination-button {
    width: 8px;
    height: 8px;
    border-radius: 8px;
    background-color: $-green;
    opacity: 0.1;
    @include transition-all;
    &--active {
      width: 16px;
      opacity: 1;
    }
  }
}
</style>
